function EsoBR_doubleNamesNPC(EsoBR)
	
	if EsoBR_doubleNamesBoth then
		EsoBR_doubleNamesBoth(EsoBR)
	end

	local GetUnitNameOld = GetUnitName

	function GetUnitName(target)
		
		local currentNpcName = GetUnitNameOld(target)
		local newNpcName
		
		if (target == "player" or EsoBR.Settings.ShowNPC == "br" or currentNpcName == nil) then
			return currentNpcName
		end
		
		if (target == "reticleover") then
			if (not DoesUnitExist("reticleover") or IsUnitPlayer("reticleover")) then return currentNpcName end
		end
		
		newNpcName = npcNames[zo_strlower(currentNpcName)]
			
		if newNpcName ~= nil then
			if (EsoBR.Settings.ShowNPC == "bren") then
				currentNpcName = currentNpcName .. " (" .. newNpcName .. ")"
			elseif (EsoBR.Settings.ShowNPC == "enbr") then
				currentNpcName = newNpcName .. " (" .. currentNpcName .. ")"
			else
				currentNpcName = newNpcName
			end
		end
			
		return currentNpcName
	end
	
	local GetMapLocationTooltipLineInfoOld = GetMapLocationTooltipLineInfo
	
	function GetMapLocationTooltipLineInfo(...)
		local icon, name, groupingId, categoryName = GetMapLocationTooltipLineInfoOld(...)
		
		if (name == nil or EsoBR.Settings.ShowNPC == "br") then
			return icon, name, groupingId, categoryName
		end
		
		newNpcName = npcNames[zo_strlower(name)]
			
		if newNpcName ~= nil then
			if (EsoBR.Settings.ShowNPC == "bren") then
				name = name .. "\n|ca99e83" .. newNpcName .. "|r"
			elseif (EsoBR.Settings.ShowNPC == "enbr") then
				name = newNpcName .. "\n|ca99e83" .. name .. "|r"
			else
				name = newNpcName
			end
		end
			
		return icon, name, groupingId, categoryName
	end
	
	EsoBR_doubleNamesNPC = nil
end